For the complete documentation index, see llms.txt. This page is also available as Markdown.

Schedulers

Create Backup Scheduler

post

Creates a backup Scheduler. You must use one of the supported scheduler types:

  • full backup

  • templated backup

The templateId parameter is optional and should only be provided for template backups.

The runAt time must be unique because schedulers can't run at the same time.

Authorizations
AuthorizationstringRequired

Bearer <access_token>

Path parameters
connectionIdnumberRequired
Body
typestring · enumRequiredExample: full backupPossible values:
timezonestringRequired

User timezone

Example: UTC
descriptionstringRequiredExample: Test scheduler description
namestringRequired

Scheduler name

Responses
201

Returns Id of created Scheduler

application/json
idnumberRequired
post/api/v1/connections/{connectionId}/schedulers/backup
POST /api/v1/connections/{connectionId}/schedulers/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 557

{
  "type": "full backup",
  "timezone": "UTC",
  "configuration": {
    "frequency": "weekly",
    "repeatOn": {
      "type": "weekly",
      "daysOfWeek": [
        0,
        1
      ],
      "dayOfMonth": "1",
      "weekDayOfMonth": {
        "firstOrLast": "first",
        "weekDay": 1
      }
    },
    "repeatEvery": "2",
    "runAt": "12:00"
  },
  "description": "Test scheduler description",
  "name": "text",
  "jobSettings": {
    "isIncludeMetadata": true,
    "isIncludeBinaryObjects": true,
    "isIncludeBigObjects": true,
    "isIncludeFeedObjects": true,
    "isIncludeShareObjects": true,
    "isIncludeHistoryObjects": true,
    "isIncludeCustomMetadataTypeObjects": true,
    "isIncludeTagObjects": true,
    "templateId": 1
  }
}
{
  "id": 1
}

Get list of Schedulers

get

Returns a list of Backup & Archive Schedulers for the Connection. You can also pass templateId to get Schedulers related to a specific template

Authorizations
AuthorizationstringRequired

Bearer <access_token>

Path parameters
connectionIdnumberRequired
Query parameters
templateIdnumberOptional
Responses
200

Returns list of Backup & Archive Schedulers

application/json
typestring · enumRequiredExample: archivePossible values:
timezonestringRequired

User timezone

Example: UTC
isDefaultbooleanRequired
idnumberRequired
namestringRequired
templateNamestringOptional
templateIdnumberOptional
get/api/v1/connections/{connectionId}/schedulers
GET /api/v1/connections/{connectionId}/schedulers HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "type": "archive",
    "timezone": "UTC",
    "isDefault": true,
    "id": 1,
    "name": "text",
    "configuration": {
      "frequency": "weekly",
      "repeatOn": {
        "type": "weekly",
        "daysOfWeek": [
          0,
          1
        ],
        "dayOfMonth": "1",
        "weekDayOfMonth": {
          "firstOrLast": "first",
          "weekDay": 1
        }
      },
      "repeatEvery": "2",
      "runAt": "12:00"
    },
    "templateName": "text",
    "templateId": 1
  }
]

Get Scheduler by Id

get

Returns the Backup & Archive Scheduler by Id

Authorizations
AuthorizationstringRequired

Bearer <access_token>

Path parameters
idnumberRequired
connectionIdnumberRequired
Responses
200

Returns the Backup & Archive Scheduler by Id

application/json
connectionIdnumberRequired
typestring · enumRequiredExample: archivePossible values:
timezonestringRequired

User timezone

Example: UTC
isDefaultbooleanRequired
descriptionstringRequiredExample: Test scheduler description
idnumberRequired
namestringRequired
templateIdnumberOptional
templateNamestringOptional
get/api/v1/connections/{connectionId}/schedulers/backup/{id}
GET /api/v1/connections/{connectionId}/schedulers/backup/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "connectionId": 1,
  "type": "archive",
  "timezone": "UTC",
  "isDefault": true,
  "description": "Test scheduler description",
  "id": 1,
  "name": "text",
  "templateId": 1,
  "templateName": "text",
  "configuration": {
    "frequency": "weekly",
    "repeatOn": {
      "type": "weekly",
      "daysOfWeek": [
        0,
        1
      ],
      "dayOfMonth": "1",
      "weekDayOfMonth": {
        "firstOrLast": "first",
        "weekDay": 1
      }
    },
    "repeatEvery": "2",
    "runAt": "12:00"
  },
  "jobSettings": {
    "isIncludeMetadata": true,
    "isIncludeBinaryObjects": true,
    "isIncludeBigObjects": true,
    "isIncludeFeedObjects": true,
    "isIncludeShareObjects": true,
    "isIncludeHistoryObjects": true,
    "isIncludeCustomMetadataTypeObjects": true,
    "isIncludeTagObjects": true,
    "templateId": 1
  }
}

Last updated

Was this helpful?